###########################################################################
#
#   Copyright (c) 2000,2001 Morten W. Petersen <morten@esol.no>
#	Copyright (c) 2000,2001 Thingamy Ltd.
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, 
#    MA 02111-1307 USA
#
#
###########################################################################

# $Author: morten $
# $Revision: 1.2 $


__doc__ = 'Documentation string.'
__version__ = '0.1.0'

from Globals import HTMLFile
from Globals import Persistent
from Globals import MessageDialog
from Globals import default__class_init__
import Products
import Acquisition
import AccessControl.Role
import OFS.Folder
import base_item
import address_book_contact


def manage_add_address_book_contact_container(self, id='contacts',
						title='Address book contacts', RESPONSE=None):
	"""Add an instance of the address_book_contact_container class."""

	self._setObject(id, address_book_contact_container(id, title))

	if RESPONSE is not None:

		RESPONSE.redirect(self.relative_url() + '/' + id)


class address_book_contact_container(
	Products.ZCatalog.CatalogAwareness.CatalogAware,
	OFS.Folder.Folder,
	Persistent,
	Acquisition.Implicit,
	AccessControl.Role.RoleManager,
	base_item.base_item
	):
	"""Facility for storing contact groups."""

	meta_type = 'AddressBookContactContainer'
	icon = 'misc_/AddressBook/dtmldoc.gif'

	use_local_navigation = 1

	_properties = (
		{'id':'title', type:'string'},
		)

	meta_types = (
		{'name':'AddressBookContact', 'action':'manage_add_address_book_contact_form'},
		)


	manage_add_address_book_contact_form = \
			address_book_contact.manage_add_address_book_contact_form
	manage_add_address_book_contact = \
			address_book_contact.manage_add_address_book_contact

	manage_options = (
		{'label':'Edit', 'action':'manage_main'},
		{'label':'View', 'action':''},
		)

	__ac_permissions__ = (
		('View management screens',
		 ('manage_tabs', 'manage_main')),
		('Change Permissions',
		 ('manage_access',)),
		('View AddressBookContacts',
		 ('', 'get_contacts')),
		)


	def get_contacts(self):
		"""Returns a list of groups."""

		return self.objectValues('AddressBookContact')


	def __init__(self, id, title):
		"""Initialize the class instance."""

		self.id = id
		self.title = title


default__class_init__(address_book_contact_container)
